$white: #fff;
$dark-gray-500: #666;

.components-coblocks-orientation {
	&__label {
		display: block;
		margin-bottom: 6px;
	}

	&__help {
		font-style: italic;
	}

	.components-button-group {
		margin-bottom: 4px;

		.is-primary + .is-primary {
			border-left: 1px solid rgba(#fff, 0.2);
		}
	}

	.components-button-group .components-button {
		appearance: none;
		background: $white;
		border: 1px solid #8d96a0;
		box-shadow: none;
		color: $dark-gray-500;
		height: 33px;
		line-height: 32px;
		margin: 0;
		padding-left: 10px;
		padding-right: 10px;

		@media (max-width: 782px) {
			height: 40px;
			padding-left: 17px;
			padding-right: 17px;
		}

		@media (max-width: 514px) {
			padding-left: 10px;
			padding-right: 10px;
		}

		&:hover {
			border-color: $dark-gray-500;
			box-shadow: none;
			color: #191e23;
		}

		&:active:enabled {
			background: $white;
			box-shadow: none;
		}

		&:focus:enabled {
			background: $dark-gray-500 !important;
			border-color: $dark-gray-500;
			box-shadow: 0 0 0 0 $dark-gray-500, inset 0 0 0 1px #fff;
			color: $white !important;
			outline: 2px solid transparent;
			outline-offset: -2px;
		}

		&.is-primary {
			background: $dark-gray-500;
			border-color: $dark-gray-500;
			color: $white;
			z-index: 1;

			&:focus,
			&:active:enabled {
				box-shadow: 0 0 0 0 $dark-gray-500, inset 0 0 0 1px #fff;
				outline: 2px solid transparent;
				outline-offset: -2px;
			}

			&:active:enabled {
				background: $dark-gray-500 !important;
			}
		}

		&.is-button:first-child {
			border-radius: 4px 0 0 4px;
		}

		&.is-button:last-child {
			border-radius: 0 4px 4px 0;
		}

		svg {
			fill: currentColor;
		}
	}
}
